package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.primary.JobInfo;
import org.springframework.data.domain.Page;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/9 16:35
 *
 * 任务描述的
 */
public interface IJobInfoService {

    /**
     * 分页条件查询
     * @param name
     * @param scheduleType
     * @param isActive
     * @param page
     * @param size
     * @return
     */
    Page<JobInfo> queryByCondition(String name, Integer scheduleType, Boolean isActive, Integer page, Integer size);

    /**
     * 添加任务描述
     * @param jobInfo
     * @return
     */
    boolean addJobInfo(JobInfo jobInfo);

    /**
     * 更新任务描述
     * @param jobInfo
     * @return
     */
    boolean saveJobInfo(JobInfo jobInfo);

    /**
     * 删除任务描述
     * @param id
     * @return
     */
    boolean delete(String id);

    JobInfo queryById(String id);
}
